%define vname gdl
%define major 0.7
%define _unpackaged_files_terminate_build 1

Name: libgdl
Version: %major.3
Release: alt2

Summary: Gnome Devtool Libraries (GDL)

License: GPL
Group: Development/GNOME and GTK+
Url: http://www.gnome.org

Packager: Alexey Rusakov <ktirf@altlinux.ru>

Source: ftp://ftp.gnome.org/pub/GNOME/sources/gdl/%major/%vname-%version.tar.bz2
Patch1: %vname-0.7.1-fix-libgdl-gnome-linking.patch

Provides: %vname = %version

BuildRequires: libgnomeui-devel libpopt-devel libSM-devel zlib-devel

%description
GDL contains components and libraries that are intended to be
shared between GNOME development tools, including gnome-debug,
gnome-build, and anjuta.  Currently GDL include:

  o A symbol browser bonobo component (symbol-browser-control).
  o A docking widget (gdl).
  o A utility library that also contains the stubs and skels for
    the symbol browser and text editor components (gdl, idl).

%package devel
Summary: Gnome Devtool Libraries
Group: Development/GNOME and GTK+
Requires: %name = %version-%release

%description devel
GDL contains components and libraries that are intended to be
shared between GNOME development tools, including gnome-debug,
gnome-build, and anjuta.

This package contains headers and other development files needed
to develop/compile applications that need GNOME development tools.

%prep
%setup -q -n %vname-%version
%patch1

%build
autoreconf -fisv
%configure --disable-static
%make_build

%install
%make_install DESTDIR=%buildroot install

%find_lang gdl-1

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files -f gdl-1.lang
%doc README
%dir %_datadir/gdl/
%dir %_datadir/gdl/glade
%_datadir/gdl/glade/*.glade
%_libdir/lib*.so.*

%files devel
%doc AUTHORS ChangeLog MAINTAINERS NEWS
%dir %_includedir/%name-1.0
%dir %_includedir/%name-1.0/gdl
%_includedir/%name-1.0/gdl/*
%_libdir/lib*.so
%_pkgconfigdir/*.pc

%changelog
* Tue Apr 03 2007 Alexey Rusakov <ktirf@altlinux.org> 0.7.3-alt2
- fixed the linking patch (gdl-icons.h got accidentally left out in the cold).
- added _unpackaged_files_terminate_build macro.

* Sat Mar 31 2007 Alexey Rusakov <ktirf@altlinux.org> 0.7.3-alt1
- new version (0.7.3)
- spec cleanup

* Mon Feb 12 2007 Alexey Rusakov <ktirf@altlinux.org> 0.7.2-alt1
- new version (0.7.2)

* Thu Jan 25 2007 Alexey Rusakov <ktirf@altlinux.org> 0.7.1-alt1
- new version 0.7.1 (with rpmrb script)
- added a patch to fix linking of libgdl-gnome

* Tue May 16 2006 Alexey Rusakov <ktirf@altlinux.ru> 0.6.1-alt1
- new version (0.6.1)

* Tue Mar 28 2006 Vitaly Lipatov <lav@altlinux.ru> 0.6.0-alt2
- NMU: cleanup spec, add Url, add URL to Source, use major version
- update buildreq, use make_build
- remove COPYING (pure GPL) from doc
- add Packager tag
- rename spec to libgdl

* Thu Jun 30 2005 Alexey Rusakov <ktirf@altlinux.ru> 0.6.0-alt1
- New upstream version.

* Mon May 16 2005 Alexey Rusakov <ktirf@altlinux.ru> 0.5.0-alt1
- New upstream version.
- Switched from CVS to tarball sources.

* Sun Feb 20 2005 Vladimir Lettiev <crux@altlinux.ru> 0.4.0-alt1.1.cvs20040220
- version from cvs

* Fri Feb 18 2005 Vladimir Lettiev <crux@altlinux.ru> 0.4.0-alt1
- First build for ALTLinux

